Package icyllis.modernui.graphics.text

# Class Emoji

java.lang.Object
icyllis.modernui.graphics.text.Emoji

public final class Emoji extends Object
A utility class for Emoji.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CANCEL_TAG`
  `static final int`
  `COMBINING_ENCLOSING_KEYCAP`
  `static final int`
  `VARIATION_SELECTOR_15`
  `static final int`
  `VARIATION_SELECTOR_16`
  `static final int`
  `ZERO_WIDTH_JOINER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Emoji()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isEmoji(int codePoint)`
  Returns true if the character has Emoji property.
  `static boolean`
  `isEmojiModifier(int codePoint)`
  Returns true if the given code point is emoji modifier.
  `static boolean`
  `isEmojiModifierBase(int codePoint)`
  Returns true if the given code point is emoji modifier base.
  `static boolean`
  `isEmojiPresentation(int codePoint)`
  Returns true if the character has emoji presentation by default.
  `static boolean`
  `isKeycapBase(int codePoint)`
  Returns true if the character can be a base character of COMBINING ENCLOSING KEYCAP.
  `static boolean`
  `isRegionalIndicatorSymbol(int codePoint)`
  Returns true if the given code point is regional indicator symbol.
  `static boolean`
  `isTagSpecChar(int codePoint)`
  Returns true if the character can be a part of tag_spec in emoji tag sequence.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ZERO_WIDTH_JOINER

    public static final int ZERO_WIDTH_JOINER
    See Also:
      - Constant Field Values

  - ### COMBINING_ENCLOSING_KEYCAP

    public static final int COMBINING_ENCLOSING_KEYCAP
    See Also:
      - Constant Field Values

  - ### VARIATION_SELECTOR_15

    public static final int VARIATION_SELECTOR_15
    See Also:
      - Constant Field Values

  - ### VARIATION_SELECTOR_16

    public static final int VARIATION_SELECTOR_16
    See Also:
      - Constant Field Values

  - ### CANCEL_TAG

    public static final int CANCEL_TAG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Emoji

    public Emoji()

- ## Method Details

  - ### isEmoji

    public static boolean isEmoji(int codePoint)
    Returns true if the character has Emoji property.

  - ### isEmojiPresentation

    public static boolean isEmojiPresentation(int codePoint)
    Returns true if the character has emoji presentation by default.

  - ### isEmojiModifier

    public static boolean isEmojiModifier(int codePoint)
    Returns true if the given code point is emoji modifier.

  - ### isEmojiModifierBase

    public static boolean isEmojiModifierBase(int codePoint)
    Returns true if the given code point is emoji modifier base.
    Parameters:
      `codePoint` - codepoint to check
    Returns:
      true if is emoji modifier base

  - ### isRegionalIndicatorSymbol

    public static boolean isRegionalIndicatorSymbol(int codePoint)
    Returns true if the given code point is regional indicator symbol.

  - ### isKeycapBase

    public static boolean isKeycapBase(int codePoint)
    Returns true if the character can be a base character of COMBINING ENCLOSING KEYCAP.

  - ### isTagSpecChar

    public static boolean isTagSpecChar(int codePoint)
    Returns true if the character can be a part of tag_spec in emoji tag sequence.

    Note that 0xE007F (CANCEL TAG) is not included.